summaryrefslogtreecommitdiffstats
path: root/libraries/log4shib
diff options
context:
space:
mode:
author Thibaut Notteboom2012-12-24 10:21:35 +0100
committer Matteo Bernardini2012-12-24 10:21:53 +0100
commita2124ca8df34ee340cd3c08fb4bff9ad2ce734ad (patch)
treeb0529fcf842fba24d084941ee4e10adfa5c523e3 /libraries/log4shib
parent7ff403c0e048eab28723fbb4b92e7147c3515117 (diff)
downloadslackbuilds-a2124ca8df34ee340cd3c08fb4bff9ad2ce734ad.tar.gz
libraries/log4shib: Added (log4j-like logging library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/log4shib')
-rw-r--r--libraries/log4shib/README7
-rw-r--r--libraries/log4shib/log4shib.SlackBuild97
-rw-r--r--libraries/log4shib/log4shib.info10
-rw-r--r--libraries/log4shib/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/log4shib/README b/libraries/log4shib/README
new file mode 100644
index 0000000000..1a9710b9a0
--- /dev/null
+++ b/libraries/log4shib/README
@@ -0,0 +1,7 @@
+log4shib is a forked version of log4cpp that has been created for the
+Shibboleth project to ensure a consistent, working snapshot that
+builds reliably on the necessary platforms.
+
+Log for C++ is a library of classes for flexible logging to files,
+syslog, and other destinations. It is modeled after the Log for Java
+library and stays as close to its API as is reasonable.
diff --git a/libraries/log4shib/log4shib.SlackBuild b/libraries/log4shib/log4shib.SlackBuild
new file mode 100644
index 0000000000..40c35b2cfe
--- /dev/null
+++ b/libraries/log4shib/log4shib.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for log4shib
+
+# Copyright 2012 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=log4shib
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/usr/share/doc $PKG/usr/doc
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/log4shib/log4shib.info b/libraries/log4shib/log4shib.info
new file mode 100644
index 0000000000..c90d723503
--- /dev/null
+++ b/libraries/log4shib/log4shib.info
@@ -0,0 +1,10 @@
+PRGNAM="log4shib"
+VERSION="1.0.5"
+HOMEPAGE="https://wiki.shibboleth.net/confluence/display/OpenSAML/log4shib"
+DOWNLOAD="http://shibboleth.net/downloads/log4shib/1.0.5/log4shib-1.0.5.tar.gz"
+MD5SUM="7cbc60b60ca6840e022b8f2fc078edef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="tib@tibux.org"
diff --git a/libraries/log4shib/slack-desc b/libraries/log4shib/slack-desc
new file mode 100644
index 0000000000..b2b2629ac0
--- /dev/null
+++ b/libraries/log4shib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+log4shib: log4shib (log4j-like logging library)
+log4shib:
+log4shib: log4shib is a forked version of log4cpp that has been created for the
+log4shib: Shibboleth project to ensure a consistent, working snapshot that
+log4shib: builds reliably on the necessary platforms.
+log4shib: Log for C++ is a library of classes for flexible logging to files,
+log4shib: syslog, and other destinations. It is modeled after the Log for Java
+log4shib: library and stays as close to its API as is reasonable.
+log4shib:
+log4shib: homepage:
+log4shib: https://wiki.shibboleth.net/confluence/display/OpenSAML/log4shib